gloss-1.13.2.1: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Gloss.Data.Display

Synopsis

- data Display
  - = InWindow String (Int, Int) (Int, Int)
  - | FullScreen

# Documentation

data Display #

Describes how Gloss should display its output.

Constructors

InWindow String (Int, Int) (Int, Int) | Display in a window with the given name, size and position.
FullScreen | Display full screen.

#### Instances

Instances details

Eq Display # |
Instance details Defined in Graphics.Gloss.Data.Display Methods (==) :: Display -> Display -> Bool # (/=) :: Display -> Display -> Bool #
Read Display # |
Instance details Defined in Graphics.Gloss.Data.Display Methods readsPrec :: Int -> ReadS Display # readList :: ReadS [Display] # readPrec :: ReadPrec Display # readListPrec :: ReadPrec [Display] #
Show Display # |
Instance details Defined in Graphics.Gloss.Data.Display Methods showsPrec :: Int -> Display -> ShowS # show :: Display -> String # showList :: [Display] -> ShowS #